
package ru.bitel.bgbilling.modules.tv.dyn.cti.tve.ws.billing;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the ru.bitel.bgbilling.modules.tv.dyn.cti.tve.ws.billing package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _QuerySummByService_QNAME = new QName("http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", "querySummByService");
    private final static QName _QueryReserve_QNAME = new QName("http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", "queryReserve");
    private final static QName _BillingException_QNAME = new QName("http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", "BillingException");
    private final static QName _QueryAvailableServicesByANAndSTResponse_QNAME = new QName("http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", "queryAvailableServicesByANAndSTResponse");
    private final static QName _QueryAvailableServicesByANResponse_QNAME = new QName("http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", "queryAvailableServicesByANResponse");
    private final static QName _QueryBillingEntriesByANAndTFResponse_QNAME = new QName("http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", "queryBillingEntriesByANAndTFResponse");
    private final static QName _QueryCustomerAccountInfo_QNAME = new QName("http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", "queryCustomerAccountInfo");
    private final static QName _QueryBillingEntries_QNAME = new QName("http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", "queryBillingEntries");
    private final static QName _QueryCustomerAccountInfoResponse_QNAME = new QName("http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", "queryCustomerAccountInfoResponse");
    private final static QName _QueryAvailableServicesByAN_QNAME = new QName("http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", "queryAvailableServicesByAN");
    private final static QName _QueryReserveResponse_QNAME = new QName("http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", "queryReserveResponse");
    private final static QName _QueryBillingEntriesByANAndTF_QNAME = new QName("http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", "queryBillingEntriesByANAndTF");
    private final static QName _QueryAvailableServicesByANAndST_QNAME = new QName("http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", "queryAvailableServicesByANAndST");
    private final static QName _QueryBillingEntriesResponse_QNAME = new QName("http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", "queryBillingEntriesResponse");
    private final static QName _QuerySummByServiceResponse_QNAME = new QName("http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", "querySummByServiceResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: ru.bitel.bgbilling.modules.tv.dyn.cti.tve.ws.billing
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Service }
     * 
     */
    public Service createService() {
        return new Service();
    }

    /**
     * Create an instance of {@link Service.AdditionalParameters }
     * 
     */
    public Service.AdditionalParameters createServiceAdditionalParameters() {
        return new Service.AdditionalParameters();
    }

    /**
     * Create an instance of {@link QuerySummByService }
     * 
     */
    public QuerySummByService createQuerySummByService() {
        return new QuerySummByService();
    }

    /**
     * Create an instance of {@link BillingException }
     * 
     */
    public BillingException createBillingException() {
        return new BillingException();
    }

    /**
     * Create an instance of {@link QueryAvailableServicesByANAndSTResponse }
     * 
     */
    public QueryAvailableServicesByANAndSTResponse createQueryAvailableServicesByANAndSTResponse() {
        return new QueryAvailableServicesByANAndSTResponse();
    }

    /**
     * Create an instance of {@link QueryAvailableServicesByANResponse }
     * 
     */
    public QueryAvailableServicesByANResponse createQueryAvailableServicesByANResponse() {
        return new QueryAvailableServicesByANResponse();
    }

    /**
     * Create an instance of {@link QueryBillingEntriesByANAndTFResponse }
     * 
     */
    public QueryBillingEntriesByANAndTFResponse createQueryBillingEntriesByANAndTFResponse() {
        return new QueryBillingEntriesByANAndTFResponse();
    }

    /**
     * Create an instance of {@link QueryReserve }
     * 
     */
    public QueryReserve createQueryReserve() {
        return new QueryReserve();
    }

    /**
     * Create an instance of {@link QueryCustomerAccountInfo }
     * 
     */
    public QueryCustomerAccountInfo createQueryCustomerAccountInfo() {
        return new QueryCustomerAccountInfo();
    }

    /**
     * Create an instance of {@link QueryBillingEntries }
     * 
     */
    public QueryBillingEntries createQueryBillingEntries() {
        return new QueryBillingEntries();
    }

    /**
     * Create an instance of {@link QueryReserveResponse }
     * 
     */
    public QueryReserveResponse createQueryReserveResponse() {
        return new QueryReserveResponse();
    }

    /**
     * Create an instance of {@link QueryCustomerAccountInfoResponse }
     * 
     */
    public QueryCustomerAccountInfoResponse createQueryCustomerAccountInfoResponse() {
        return new QueryCustomerAccountInfoResponse();
    }

    /**
     * Create an instance of {@link QueryAvailableServicesByAN }
     * 
     */
    public QueryAvailableServicesByAN createQueryAvailableServicesByAN() {
        return new QueryAvailableServicesByAN();
    }

    /**
     * Create an instance of {@link QuerySummByServiceResponse }
     * 
     */
    public QuerySummByServiceResponse createQuerySummByServiceResponse() {
        return new QuerySummByServiceResponse();
    }

    /**
     * Create an instance of {@link QueryAvailableServicesByANAndST }
     * 
     */
    public QueryAvailableServicesByANAndST createQueryAvailableServicesByANAndST() {
        return new QueryAvailableServicesByANAndST();
    }

    /**
     * Create an instance of {@link QueryBillingEntriesByANAndTF }
     * 
     */
    public QueryBillingEntriesByANAndTF createQueryBillingEntriesByANAndTF() {
        return new QueryBillingEntriesByANAndTF();
    }

    /**
     * Create an instance of {@link QueryBillingEntriesResponse }
     * 
     */
    public QueryBillingEntriesResponse createQueryBillingEntriesResponse() {
        return new QueryBillingEntriesResponse();
    }

    /**
     * Create an instance of {@link CustomerAccountInfo }
     * 
     */
    public CustomerAccountInfo createCustomerAccountInfo() {
        return new CustomerAccountInfo();
    }

    /**
     * Create an instance of {@link Resource }
     * 
     */
    public Resource createResource() {
        return new Resource();
    }

    /**
     * Create an instance of {@link TimeFrame }
     * 
     */
    public TimeFrame createTimeFrame() {
        return new TimeFrame();
    }

    /**
     * Create an instance of {@link ServiceSpecification }
     * 
     */
    public ServiceSpecification createServiceSpecification() {
        return new ServiceSpecification();
    }

    /**
     * Create an instance of {@link BillingEntry }
     * 
     */
    public BillingEntry createBillingEntry() {
        return new BillingEntry();
    }

    /**
     * Create an instance of {@link Service.AdditionalParameters.Entry }
     * 
     */
    public Service.AdditionalParameters.Entry createServiceAdditionalParametersEntry() {
        return new Service.AdditionalParameters.Entry();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link QuerySummByService }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", name = "querySummByService")
    public JAXBElement<QuerySummByService> createQuerySummByService(QuerySummByService value) {
        return new JAXBElement<QuerySummByService>(_QuerySummByService_QNAME, QuerySummByService.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link QueryReserve }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", name = "queryReserve")
    public JAXBElement<QueryReserve> createQueryReserve(QueryReserve value) {
        return new JAXBElement<QueryReserve>(_QueryReserve_QNAME, QueryReserve.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BillingException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", name = "BillingException")
    public JAXBElement<BillingException> createBillingException(BillingException value) {
        return new JAXBElement<BillingException>(_BillingException_QNAME, BillingException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link QueryAvailableServicesByANAndSTResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", name = "queryAvailableServicesByANAndSTResponse")
    public JAXBElement<QueryAvailableServicesByANAndSTResponse> createQueryAvailableServicesByANAndSTResponse(QueryAvailableServicesByANAndSTResponse value) {
        return new JAXBElement<QueryAvailableServicesByANAndSTResponse>(_QueryAvailableServicesByANAndSTResponse_QNAME, QueryAvailableServicesByANAndSTResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link QueryAvailableServicesByANResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", name = "queryAvailableServicesByANResponse")
    public JAXBElement<QueryAvailableServicesByANResponse> createQueryAvailableServicesByANResponse(QueryAvailableServicesByANResponse value) {
        return new JAXBElement<QueryAvailableServicesByANResponse>(_QueryAvailableServicesByANResponse_QNAME, QueryAvailableServicesByANResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link QueryBillingEntriesByANAndTFResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", name = "queryBillingEntriesByANAndTFResponse")
    public JAXBElement<QueryBillingEntriesByANAndTFResponse> createQueryBillingEntriesByANAndTFResponse(QueryBillingEntriesByANAndTFResponse value) {
        return new JAXBElement<QueryBillingEntriesByANAndTFResponse>(_QueryBillingEntriesByANAndTFResponse_QNAME, QueryBillingEntriesByANAndTFResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link QueryCustomerAccountInfo }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", name = "queryCustomerAccountInfo")
    public JAXBElement<QueryCustomerAccountInfo> createQueryCustomerAccountInfo(QueryCustomerAccountInfo value) {
        return new JAXBElement<QueryCustomerAccountInfo>(_QueryCustomerAccountInfo_QNAME, QueryCustomerAccountInfo.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link QueryBillingEntries }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", name = "queryBillingEntries")
    public JAXBElement<QueryBillingEntries> createQueryBillingEntries(QueryBillingEntries value) {
        return new JAXBElement<QueryBillingEntries>(_QueryBillingEntries_QNAME, QueryBillingEntries.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link QueryCustomerAccountInfoResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", name = "queryCustomerAccountInfoResponse")
    public JAXBElement<QueryCustomerAccountInfoResponse> createQueryCustomerAccountInfoResponse(QueryCustomerAccountInfoResponse value) {
        return new JAXBElement<QueryCustomerAccountInfoResponse>(_QueryCustomerAccountInfoResponse_QNAME, QueryCustomerAccountInfoResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link QueryAvailableServicesByAN }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", name = "queryAvailableServicesByAN")
    public JAXBElement<QueryAvailableServicesByAN> createQueryAvailableServicesByAN(QueryAvailableServicesByAN value) {
        return new JAXBElement<QueryAvailableServicesByAN>(_QueryAvailableServicesByAN_QNAME, QueryAvailableServicesByAN.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link QueryReserveResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", name = "queryReserveResponse")
    public JAXBElement<QueryReserveResponse> createQueryReserveResponse(QueryReserveResponse value) {
        return new JAXBElement<QueryReserveResponse>(_QueryReserveResponse_QNAME, QueryReserveResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link QueryBillingEntriesByANAndTF }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", name = "queryBillingEntriesByANAndTF")
    public JAXBElement<QueryBillingEntriesByANAndTF> createQueryBillingEntriesByANAndTF(QueryBillingEntriesByANAndTF value) {
        return new JAXBElement<QueryBillingEntriesByANAndTF>(_QueryBillingEntriesByANAndTF_QNAME, QueryBillingEntriesByANAndTF.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link QueryAvailableServicesByANAndST }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", name = "queryAvailableServicesByANAndST")
    public JAXBElement<QueryAvailableServicesByANAndST> createQueryAvailableServicesByANAndST(QueryAvailableServicesByANAndST value) {
        return new JAXBElement<QueryAvailableServicesByANAndST>(_QueryAvailableServicesByANAndST_QNAME, QueryAvailableServicesByANAndST.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link QueryBillingEntriesResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", name = "queryBillingEntriesResponse")
    public JAXBElement<QueryBillingEntriesResponse> createQueryBillingEntriesResponse(QueryBillingEntriesResponse value) {
        return new JAXBElement<QueryBillingEntriesResponse>(_QueryBillingEntriesResponse_QNAME, QueryBillingEntriesResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link QuerySummByServiceResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/", name = "querySummByServiceResponse")
    public JAXBElement<QuerySummByServiceResponse> createQuerySummByServiceResponse(QuerySummByServiceResponse value) {
        return new JAXBElement<QuerySummByServiceResponse>(_QuerySummByServiceResponse_QNAME, QuerySummByServiceResponse.class, null, value);
    }

}
